Package org.jboss.classfilewriter.util

## Class Signatures

- java.lang.Object
- - org.jboss.classfilewriter.util.Signatures

    public final class Signatures
    extends Object

Encode signatures that use types outside the type system of the Java Virtual Machine. See also the JVM spec, section "4.7.9.1. Signatures". If anything goes wrong during encoding a `RuntimeException` is thrown.

Author:
  Martin Kouba

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `methodSignature​(Method method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### methodSignature

    public static String methodSignature​(Method method)

Parameters:
  `method` -
Returns:
  the JVM method signature